package jiaocaiziliao

import "shylinux.com/x/ice"

type document struct {
	Table
	fields string `data:"subject,grade,document_type,title,content,icon,link"`
	create string `name:"create subject* grade* document_type*:select title* content* icon link" role:"teacher"`
	remove string `name:"remove" role:"teacher"`
}

func (s document) Create(m *ice.Message, arg ...string) { s.ValueCreate(m, arg...) }
func (s document) Remove(m *ice.Message, arg ...string) { s.ValueRemove(m, arg...) }
func (s document) List(m *ice.Message, arg ...string)   { s.ValueList(m, arg).Display("") }

func init() { ice.TeamCtxCmd(document{}) }

type DocumentType int

const (
	DocumentBook DocumentType = iota
	DocumentPaper
)

var DocumentTypeList = map[DocumentType]string{
	DocumentBook:  "book",
	DocumentPaper: "paper",
}

func (s DocumentType) String() string { return DocumentTypeList[s] }
